- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions
main.cpp File Reference
`#include "gdef.h"`
`#include "gsmtp.h"`
`#include "gstr.h"`
`#include "garg.h"`
`#include "run.h"`
`#include "commandline.h"`
`#include <exception>`
`#include <cstdlib>`

Go to the source code of this file.

## Classes
class | App
| An implementation of the Main::Output abstract interface for command-line output. More...

## Functions
int | main (int argc, char *argv[])

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 44 of file main.cpp.

References G::Arg::prefix(), Main::Run::prepare(), Main::Run::prepareError(), Main::Run::run(), and Main::CommandLine::switchSpec().